#!/usr/local/bin/perl -w 

use strict;
use DBI;

my( $dsn ) = "dbi:Sybase:server=MyServer70";
my( $dbh ) = DBI->connect($dsn, 'ReadOnly', 'readonly', 
	{ PrintError => 0, RaiseError => 1 }) 
	or die "Failed to connect: ($DBI::err) $DBI::errstr\n";

my( $sql ) = qq{CREATE table debug_freetds (
	pid	int	NOT NULL        PRIMARY KEY,
	logo	image
)};
my( $sth ) = $dbh->prepare( $sql );
eval {
	$sth->execute();
};


my( @data );
open( LOGO, "/wip/freetdslogo3.gif" );
while( <LOGO> )
{
        push @data, $_;
}
my( $logo ) = join( '', @data ); 
warn "Length of Logo: " . length( $logo );

my( $binData ) = $logo;
$binData =~ s/'/''/g;
$binData =~ s/\0//g;

$sql = qq{insert into debug_freetds values ( $$, '$binData' )};
$sth = $dbh->prepare( $sql );
if( ! defined( $sth  ) )
{
	warn "$DBI::err, ($DBI::errstr)";	
}
$sth->execute() || die "SQL Error==> $DBI::err, ($DBI::errstr)";




$sql = qq{ select pid, logo from debug_freetds };
$sth = $dbh->prepare( $sql );
if( ! defined( $sth  ) )
{
	warn "$DBI::err, ($DBI::errstr)";
}
$sth->execute() || die "SQL Error==> $DBI::err, ($DBI::errstr)";

while( my( @res ) = $sth->fetchrow_array() )
{
	my( $binary ) = pack("H*", $res[1]);	
	print $res[0] . "\t"	. length( $binary ) . "\n"; 
}

